package com.pcloud.book.keywords.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author 杨涛
 * @description 参数
 * @date 2019/7/18 10:48
 */
@ApiModel
public class QrWeixinParam implements Serializable {

    @ApiModelProperty("社群ID")
    private Long bookGroupId;

    @ApiModelProperty("二维码ID")
    private Long sceneId;

    @ApiModelProperty("服务资源ID")
    private Long serveId;

    @ApiModelProperty("类型（商品或应用）")
    private String typeCode;

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public Long getServeId() {
        return serveId;
    }

    public void setServeId(Long serveId) {
        this.serveId = serveId;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    @Override
    public String toString() {
        return "QrWeixinParam{" +
                "bookGroupId=" + bookGroupId +
                ", sceneId=" + sceneId +
                ", serveId=" + serveId +
                ", typeCode='" + typeCode + '\'' +
                '}';
    }
}
